## tpsession 0.1-1

=== Makefile ===
#############################################################################
# Makefile for building: telepathy3
# Generated by qmake (2.01a) (Qt 4.5.3) on: Fri Jan 22 12:47:46 2010
# Project:  telepathy3.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile telepathy3.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I/usr/include/telepathy-1.0 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -ltelepathy-qt4 -lQtDBus -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		tpsession.cpp \
		tpsessionaccount.cpp \
		testprog.cpp \
		tpsessionobserver.cpp \
		tpsessionchannel.cpp moc_tpsession.cpp \
		moc_tpsessionaccount.cpp \
		moc_testprog.cpp \
		moc_tpsessionobserver.cpp \
		moc_tpsessionchannel.cpp
OBJECTS       = main.o \
		tpsession.o \
		tpsessionaccount.o \
		testprog.o \
		tpsessionobserver.o \
		tpsessionchannel.o \
		moc_tpsession.o \
		moc_tpsessionaccount.o \
		moc_testprog.o \
		moc_tpsessionobserver.o \
		moc_tpsessionchannel.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		telepathy3.pro
QMAKE_TARGET  = telepathy3
DESTDIR       = 
TARGET        = telepathy3

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: telepathy3.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile telepathy3.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile telepathy3.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/telepathy31.0.0 || $(MKDIR) .tmp/telepathy31.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/telepathy31.0.0/ && $(COPY_FILE) --parents tpsession.h tpsessionaccount.h testprog.h tpsessionobserver.h tpsessionchannel.h .tmp/telepathy31.0.0/ && $(COPY_FILE) --parents main.cpp tpsession.cpp tpsessionaccount.cpp testprog.cpp tpsessionobserver.cpp tpsessionchannel.cpp .tmp/telepathy31.0.0/ && (cd `dirname .tmp/telepathy31.0.0` && $(TAR) telepathy31.0.0.tar telepathy31.0.0 && $(COMPRESS) telepathy31.0.0.tar) && $(MOVE) `dirname .tmp/telepathy31.0.0`/telepathy31.0.0.tar.gz . && $(DEL_FILE) -r .tmp/telepathy31.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_tpsession.cpp moc_tpsessionaccount.cpp moc_testprog.cpp moc_tpsessionobserver.cpp moc_tpsessionchannel.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_tpsession.cpp moc_tpsessionaccount.cpp moc_testprog.cpp moc_tpsessionobserver.cpp moc_tpsessionchannel.cpp
moc_tpsession.cpp: tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h \
		tpsession.h
	/usr/bin/moc $(DEFINES) $(INCPATH) tpsession.h -o moc_tpsession.cpp

moc_tpsessionaccount.cpp: tpsessionchannel.h \
		tpsessionaccount.h
	/usr/bin/moc $(DEFINES) $(INCPATH) tpsessionaccount.h -o moc_tpsessionaccount.cpp

moc_testprog.cpp: tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h \
		testprog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) testprog.h -o moc_testprog.cpp

moc_tpsessionobserver.cpp: tpsessionobserver.h
	/usr/bin/moc $(DEFINES) $(INCPATH) tpsessionobserver.h -o moc_tpsessionobserver.cpp

moc_tpsessionchannel.cpp: tpsessionchannel.h
	/usr/bin/moc $(DEFINES) $(INCPATH) tpsessionchannel.h -o moc_tpsessionchannel.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h \
		testprog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

tpsession.o: tpsession.cpp tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tpsession.o tpsession.cpp

tpsessionaccount.o: tpsessionaccount.cpp tpsessionaccount.h \
		tpsessionchannel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tpsessionaccount.o tpsessionaccount.cpp

testprog.o: testprog.cpp testprog.h \
		tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testprog.o testprog.cpp

tpsessionobserver.o: tpsessionobserver.cpp tpsessionobserver.h \
		tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tpsessionobserver.o tpsessionobserver.cpp

tpsessionchannel.o: tpsessionchannel.cpp tpsessionchannel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tpsessionchannel.o tpsessionchannel.cpp

moc_tpsession.o: moc_tpsession.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_tpsession.o moc_tpsession.cpp

moc_tpsessionaccount.o: moc_tpsessionaccount.cpp
