=== debian/changelog ===
tpsession (0.1-1) unstable; urgency=low

  * Initial release 

 -- Kate Alhola <kate.alhola@nokia.com>  Mon,  8 Feb 2010 14:20:48 +0200
