=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

# Add here any variable or target overrides you need.
QMAKE=/opt/qt4-maemo5/bin/qmake
PKG_CONFIG_PATH=/opt/qt4-maemo5/lib/pkgconfig/
