=== debian/changelog ===
tpsession (0.1-2) unstable; urgency=low

  * Some bug fixes in sync constructor, getAccoint now accepts also uniqueIdentifier, PR1.2 compatible

 -- Kate Alhola <kate.alhola@nokia.com>  Thu,  25 Mar 2010 11:20:48 +0200
