=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kate Alhola <kate.alhola@nokia.com>
 Build-Depends: cdbs, cdbs, debhelper (>= 5)
 Build-Depends: cdbs,
-               libqt4-maemo5-dev (>= 4.5.0),
+               libqt4-dev (>= 4.5.0),
                pkg-config (>= 0.21),
 	       libgconf2-dev ,
 	       libtelepathy-qt4-dev (>=0.2.0)
@@ -20,14 +20,14 @@
 Package: libtpsession-dev
 Architecture: any
 Section: libdevel
-Depends: libtpsession (=0.1-1)
+Depends: libtpsession
 Description: Easy to use API to Telepathy-Qt4 dev files
  Easy to use API to Telepathy-Qt4 dev files
 
 Package: libtpsession-dbg
 Architecture: any
 Section: libdevel
-Depends: tpsession (=0.1)
+Depends: tpsession 
 Description: Easy to use API to Telepathy-Qt4 debug symbols
  Easy to use API to Telepathy-Qt4 debug symbols
