## tpsession 0.1-4

=== debian/changelog ===
tpsession (0.1-4) unstable; urgency=low

  * Added proper handling for destroyed channels, TPSESSION_DEBUG environmentvariable to enable debug printouts

 -- Kate Alhola <kate.alhola@nokia.com>  Mon,  2 Jun 2010 16:51:00 +0300

tpsession (0.1-3) unstable; urgency=low

  * Extra debug printouts removed, emits messageUeued signal

 -- Kate Alhola <kate.alhola@nokia.com>  Mon,  10 May 2010 13:20:00 +0300
	
