## tpsession 0.1-6%2b0m5

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 # Add here any variable or target overrides you need.
 #QMAKE=/opt/qt4-maemo5/bin/qmake
 #PKG_CONFIG_PATH=/opt/qt4-maemo5/lib/pkgconfig/
+
+common-binary-predeb-arch::
+	./debian/maemo-optify libtpsession
