## tpsession 0.1-6+0m5

=== debian/changelog ===
tpsession (0.1-6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.1-6+0m5

 -- Shane Bradley <shane.bradley@nokia.com>  Fri, 03 Sep 2010 12:36:15 +0300

tpsession (0.1-6) unstable; urgency=low

  * Symlink to opt library wasn't being created with a clean install.

 -- Shane Bradley <shane.bradley@nokia.com>  Fri, 03 Sep 2010 12:00:57 +0300

tpsession (0.1-5) unstable; urgency=low

  * Optify the packages.

 -- Shane Bradley <shane.bradley@nokia.com>  Thu, 26 Aug 2010 16:51:00 +0300
