=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: extra
 Maintainer: Kate Alhola <kate.alhola@nokia.com>
-Build-Depends: cdbs, cdbs, debhelper (>= 5)
 Build-Depends: cdbs,
+               debhelper (>= 5),
                libqt4-dev (>= 4.5.0),
                pkg-config (>= 0.21),
 	       libgconf2-dev ,
@@ -27,7 +27,7 @@
 Package: libtpsession-dbg
 Architecture: any
 Section: libdevel
-Depends: tpsession 
+Depends: libtpsession (= ${binary:Version})
 Description: Easy to use API to Telepathy-Qt4 debug symbols
  Easy to use API to Telepathy-Qt4 debug symbols
